<?xml version="1.0" encoding="ISO-8859-1"?>
<document>

  <properties>
    <title>Simian Properties</title>
    <author email="aslak@thoughtworks.net">Aslak Hellesoy</author>
    <author email="maurice@maguyane.net">Maurice Montgénie</author>
  </properties>

  <body>
    <section name="Simian Properties"> 
      <table>
        <tr><th>Property</th><th>Optional?</th><th>Description</th></tr>
        <tr>
          <td>maven.simian.linecount</td>
          <td>Yes (default = 10)</td>
          <td>
            Specifies the minimum number of lines that is considered a match.
          </td>
        </tr>
        <tr>
          <td>maven.simian.failonduplication</td>
          <td>Yes (default = false)</td>
          <td>
            Specifies whether the build should fail if a match is found.
          </td>
        </tr>

        <tr>
          <td>maven.simian.ignorestrings</td>
          <td>Yes (default = false)</td>
          <td>
            Ignore strings (Java, C#, C, C++, JavaScript, COBOL): "one" and "two" would both match.
          </td>
        </tr>
        <tr>
          <td>maven.simian.ignorestringcase</td>
          <td>Yes (default = false)</td>
          <td>
            Ignore string case (Java, C#, C, C++, JavaScript, COBOL): "Hello, World" and "HELLO, WORLD" would both match.
          </td>
        </tr>
        <tr>
          <td>maven.simian.ignorenumbers</td>
          <td>Yes (default = false)</td>
          <td>
            Ignore numbers (Java, C#, C, C++, JavaScript, COBOL): int x = 1; and int x = 576; would both match.
          </td>
        </tr>
        <tr>
          <td>maven.simian.ignoresubtypenames</td>
          <td>Yes (default = false)</td>
          <td>
            Ignore subtype names (Java): BufferedReader, StringReader and Reader would all match.
          </td>
        </tr>
        <tr>
          <td>maven.simian.ignoremodifiers</td>
          <td>Yes (default = false)</td>
          <td>
            Ignore modifiers (Java, C#, C, C++, JavaScript): public, protected, static, etc.
          </td>
        </tr>
      </table>
    </section>
  </body>
</document>
